> ## Documentation Index
> Fetch the complete documentation index at: https://doc.evolution-api.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Evolution Bot

> Update an existing Evolution Bot configuration.



## OpenAPI

````yaml openapi-v2 PUT /evolutionBot/update/:evolutionBotId/{instance}
openapi: 3.0.3
info:
  title: Evolution API
  version: 2.1.1
servers:
  - url: https://{server-url}
    variables:
      server-url:
        default: evolution-example
        description: The URL of your EvolutionAPI server
    description: Your instance domain
security: []
paths:
  /evolutionBot/update/:evolutionBotId/{instance}:
    put:
      tags:
        - Evolution Bot Controller
      summary: Update Evolution Bot
      description: Update an existing Evolution Bot configuration.
      operationId: updateEvolutionBot
      parameters:
        - name: evolutionBotId
          in: path
          required: true
          description: ID of the Evolution Bot to update
          schema:
            type: string
        - name: instance
          in: path
          required: true
          description: Name of the instance
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - enabled
                - apiUrl
                - triggerType
                - triggerOperator
                - triggerValue
                - expire
                - keywordFinish
                - delayMessage
                - unknownMessage
                - listeningFromMe
                - stopBotFromMe
                - keepOpen
                - debounceTime
              properties:
                enabled:
                  type: boolean
                  description: Enable or disable the Evolution Bot
                apiUrl:
                  type: string
                  description: API URL for the bot
                apiKey:
                  type: string
                  description: API Key for authentication (optional)
                triggerType:
                  type: string
                  description: Trigger type, e.g., 'all' or 'keyword'
                triggerOperator:
                  type: string
                  description: >-
                    Operator logic, e.g., 'contains', 'equals', 'startsWith',
                    'endsWith', 'regex'
                triggerValue:
                  type: string
                  description: Trigger value, e.g., 'test'
                expire:
                  type: number
                  description: Expiration time for the session (in seconds)
                keywordFinish:
                  type: string
                  description: Keyword to terminate the session
                delayMessage:
                  type: number
                  description: Delay time (in ms) for sending messages
                unknownMessage:
                  type: string
                  description: Message displayed when an unknown input is received
                listeningFromMe:
                  type: boolean
                  description: Listen to messages sent by the bot owner
                stopBotFromMe:
                  type: boolean
                  description: Stop bot when the owner sends a message
                keepOpen:
                  type: boolean
                  description: Keep the session open after processing messages
                debounceTime:
                  type: number
                  description: Time delay to debounce messages
                ignoreJids:
                  type: array
                  items:
                    type: string
                  description: List of JIDs to ignore
      responses:
        '200':
          description: Evo bot atualizado com sucesso
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Sucess
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````